Subject: Re: EMAC2 in ibm_newemac driver

From: Stefan Roese <[email-masked]>
Date: Fri, 3 Oct 2008 16:37:42 +0200

Vadim,

On Friday 03 October 2008, vb wrote:
> > The AMCC Glacier 460GT eval board uses all 4 EMAC's with RGMII. IIRC,
> > then you need to configure the GPIO multiplexing differently (compared to
> > Canyonlands 460EX) to fully support all 4 EMAC's on 460GT. This is done
> > in U-Boot. I suggest that you check this configuration first.
>
> Stefan, you are a gentleman and a scholar: this is exactly where my
> problem was. Thank you for saving me from wasting lots of time trying
> to figure out what's 'wrong' with the driver.
>
> Now, comparing glacier GPIO settings with the 460Gx datasheet (rev
> 1.07 of May 29)

That's an old version. I suggest you download the latest users manual. I have 
rev. 1.14 (Sept. 2) here.

> it seems that the datasheet is wrong and suggests 
> using of ALT2 mode for the RGMII2 gpio pins(does not work) as opposed
> ALT1 used in glacier (and actually working apart from a problem I
> still am seeing with the TX). Do you remember anything about this?

I remember that the early manual had some problems. GPIO being only one of 
them. Not sure if this is really fixed in the current manual. But the U-Boot 
code should show what's really correct. Code can't lie! ;)

Best regards,
Stefan

=====================================================================
DENX Software Engineering GmbH,     MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: +49-8142-66989-0 Fax: +49-8142-66989-80  Email: [email-masked]
=====================================================================